/**
 * (c) Atos IT Solutions and Services GmbH, 2011.
 * Licensed under EUPL 1.1
 */
package com.sag.osami.contextstore.storage.jdbc;

import com.sag.osami.contextstore.storage.jdbc.GenericJDBCDialect;


public class SqliteDialect extends GenericJDBCDialect {

	private static final String DRIVER = "org.sqlite.JDBC";

	@Override
	public String driver() {
		return DRIVER;
	}

	@Override
	public String createTable() {
		return createTable(new String[] { "INTEGER PRIMARY KEY", "TEXT", "TEXT", "TEXT", "TEXT", "TEXT", "INTEGER" });
	}
}