/**
 * (c) Atos IT Solutions and Services GmbH, 2011.
 * Licensed under EUPL 1.1
 */
package com.sag.osami.contextstore.storage.jdbc;

import com.sag.osami.contextstore.storage.jdbc.GenericJDBCDialect;

public class PostgresqlDialect extends GenericJDBCDialect {

	private static final String DRIVER = "org.postgresql.Driver";

	public String driver() {
		return DRIVER;
	}

	private static final String[] COL_TYPES = { "BIGINT PRIMARY KEY", "VARCHAR", "VARCHAR", "VARCHAR", "VARCHAR", "VARCHAR", "TIMESTAMP" };

	public String createTable() {
		return createTable(COL_TYPES);
	}
}